<?php

namespace App\ViewModels\Formulario\FormularioDetailsViewModel;

use App\Utils\Entity;

class FormularioDetailsResponseDatabase extends Entity {
	protected $formulario_titulo;
	protected $formulario_ativo;
	protected $formulario_descricao;
	protected $formulario_id_medico;
	protected $formulario_procedimentos;
	protected $pergunta_id;
	protected $pergunta_ordem;
	protected $pergunta_ativo;
	protected $pergunta_texto_pergunta;
	protected $pergunta_id_tipo_pergunta;
	protected $pergunta_obrigatorio;
	protected $opcao_pergunta_id;
	protected $opcao_pergunta_descricao;
	protected $opcao_pergunta_id_pergunta;
	protected $formulario_atendimento_id;

	public static function builder(): FormularioDetailsResponseDatabaseBuilder {

		return new FormularioDetailsResponseDatabaseBuilder();

	}

    public function getFormularioAtendimentoId()
    {
        return $this->formulario_atendimento_id;
    }

    public function setFormularioAtendimentoId($formulario_atendimento_id): void
    {
        $this->formulario_atendimento_id = $formulario_atendimento_id;
    }

	public function getFormularioAtivo(): int {

		return $this->formulario_ativo;

	}

	public function setFormularioAtivo(int $formulario_ativo): void {

		$this->formulario_ativo = $formulario_ativo;

	}

	public function getFormularioTitulo(): string {

		return $this->formulario_titulo;

	}

	public function getFormularioDescricao(): string {

		return $this->formulario_descricao;

	}

	public function getFormularioIdMedico() {

		return $this->formulario_id_medico;

	}

	public function getPerguntaId(): int {

		return $this->pergunta_id;

	}

	public function getPerguntaOrdem(): int {

		return $this->pergunta_ordem;

	}

	public function getPerguntaAtivo(): int {
		
		return $this->pergunta_ativo;
		
	}
	
	public function getPerguntaTextoPergunta(): string {

		return $this->pergunta_texto_pergunta;

	}

	public function getPerguntaIdTipoPergunta(): int {

		return $this->pergunta_id_tipo_pergunta;

	}

	public function getOpcaoPerguntaId(): ?int {

		return $this->opcao_pergunta_id;

	}

	public function getOpcaoPerguntaDescricao(): ?string {

		return $this->opcao_pergunta_descricao;

	}

	public function getOpcaoPerguntaIdPergunta(): ?int {

		return $this->opcao_pergunta_id_pergunta;

	}

	public function setFormularioTitulo(string $formulario_titulo): void {

		$this->formulario_titulo = $formulario_titulo;

	}

	public function setFormularioDescricao(string $formulario_descricao): void {

		$this->formulario_descricao = $formulario_descricao;

	}

	public function setFormularioIdMedico($formulario_id_medico): void {

		$this->formulario_id_medico = $formulario_id_medico;

	}

	public function setPerguntaId(int $pergunta_id): void {

		$this->pergunta_id = $pergunta_id;

	}

	public function setPerguntaOrdem(int $pergunta_ordem): void {

		$this->pergunta_ordem = $pergunta_ordem;

	}

	public function setPerguntaAtivo(int $pergunta_ativo): void {
		
		$this->pergunta_ativo = $pergunta_ativo;
		
	}
	
	public function setPerguntaTextoPergunta(string $pergunta_texto_pergunta): void {

		$this->pergunta_texto_pergunta = $pergunta_texto_pergunta;

	}

	public function setPerguntaIdTipoPergunta(int $pergunta_id_tipo_pergunta): void {

		$this->pergunta_id_tipo_pergunta = $pergunta_id_tipo_pergunta;

	}

	public function setOpcaoPerguntaId(?int $opcao_pergunta_id): void {

		$this->opcao_pergunta_id = $opcao_pergunta_id;

	}

	public function setOpcaoPerguntaDescricao(?string $opcao_pergunta_descricao): void {

		$this->opcao_pergunta_descricao = $opcao_pergunta_descricao;

	}

	public function setOpcaoPerguntaIdPergunta(?int $opcao_pergunta_id_pergunta): void {

		$this->opcao_pergunta_id_pergunta = $opcao_pergunta_id_pergunta;

	}

	public function getPerguntaObrigatorio() {

		return $this->pergunta_obrigatorio;

	}

	public function setPerguntaObrigatorio($pergunta_obrigatorio): void {

		$this->pergunta_obrigatorio = $pergunta_obrigatorio;

	}

	public function getFormularioProcedimentos() {

		return $this->formulario_procedimentos;

	}

	public function setFormularioProcedimentos($formulario_procedimentos): void {

		$this->formulario_procedimentos = $formulario_procedimentos;

	}

}